org.apache.lucene.analysis.nl

## Class DutchAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.nl.DutchAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class DutchAnalyzer
      extends Analyzer

  `Analyzer` for Dutch language.

  Supports an external list of stopwords (words that will not be indexed at all), an external list of exclusions (word that will not be stemmed, but indexed) and an external list of word-stem pairs that overrule the algorithm (dictionary stemming). A default set of stopwords is used unless an alternative list is specified, but the exclusion list is empty by default.

  You must specify the required `Version` compatibility when creating DutchAnalyzer:

  - As of 3.6, `DutchAnalyzer(Version, CharArraySet)` and `DutchAnalyzer(Version, CharArraySet, CharArraySet)` also populate the default entries for the stem override dictionary
  - As of 3.1, Snowball stemming is done with SnowballFilter, LowerCaseFilter is used prior to StopFilter, and Snowball stopwords are used by default.
  - As of 2.9, StopFilter preserves position increments

  NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_STOPWORD_FILE` File containing default Dutch stopwords.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DutchAnalyzer(Version matchVersion)` Builds an analyzer with the default stop words (`getDefaultStopSet()`) and a few default entries for the stem exclusion table.
    `DutchAnalyzer(Version matchVersion, CharArraySet stopwords)`
    `DutchAnalyzer(Version matchVersion, CharArraySet stopwords, CharArraySet stemExclusionTable)`
    `DutchAnalyzer(Version matchVersion, CharArraySet stopwords, CharArraySet stemExclusionTable, CharArrayMap<String> stemOverrideDict)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String fieldName, Reader aReader)` Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
    `static CharArraySet` | `getDefaultStopSet()` Returns an unmodifiable instance of the default stop-words set.

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_STOPWORD_FILE

          public static final String DEFAULT_STOPWORD_FILE

      File containing default Dutch stopwords.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DutchAnalyzer

          public DutchAnalyzer(Version matchVersion)

      Builds an analyzer with the default stop words (`getDefaultStopSet()`) and a few default entries for the stem exclusion table.

    - #### DutchAnalyzer

          public DutchAnalyzer(Version matchVersion,
                       CharArraySet stopwords)

    - #### DutchAnalyzer

          public DutchAnalyzer(Version matchVersion,
                       CharArraySet stopwords,
                       CharArraySet stemExclusionTable)

    - #### DutchAnalyzer

          public DutchAnalyzer(Version matchVersion,
                       CharArraySet stopwords,
                       CharArraySet stemExclusionTable,
                       CharArrayMap<String> stemOverrideDict)

  - ### Method Detail

    - #### getDefaultStopSet

          public static CharArraySet getDefaultStopSet()

      Returns an unmodifiable instance of the default stop-words set.
      Returns:
        an unmodifiable instance of the default stop-words set.

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                        Reader aReader)

      Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
      Specified by:
        `createComponents` in class `Analyzer`
      Returns:
        A `TokenStream` built from a `StandardTokenizer` filtered with `StandardFilter`, `LowerCaseFilter`, `StopFilter`, `KeywordMarkerFilter` if a stem exclusion set is provided, `StemmerOverrideFilter`, and `SnowballFilter`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.